from setuptools import setup, find_packages
import codecs
import os

here = os.path.abspath(os.path.dirname(__file__))

with codecs.open(os.path.join(here, "README.md"), encoding="utf-8") as fh:
    long_description = "\n" + fh.read()

VERSION = '0.1.2'
DESCRIPTION = 'Shifre is a Python password generator library.'
LONG_DESCRIPTION = 'Shifre is a library that you can use  to create highly secure passwords.'

# Setting up
setup(
    name="shifre",
    version=VERSION,
    author="Yavuz Tezgel",
    author_email="yavuztzgl@gmail.com",
    url="https://github.com/yvztzgl/shifre",
    description=DESCRIPTION,
    long_description_content_type="text/markdown",
    long_description=long_description,
    packages=find_packages(),
    install_requires=[],
    keywords=['python', 'password', 'password generator', 'secure password', 'security', 'secure', 'generator'],
    classifiers=[
        "Development Status :: 1 - Planning",
        "Intended Audience :: Developers",
        "Programming Language :: Python :: 3",
        "Operating System :: Unix",
        "Operating System :: MacOS :: MacOS X",
        "Operating System :: Microsoft :: Windows",
    ],
)